"
    Copyright (C) 2015-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
"{ Package: 'jv:llvm_s' }"

"{ NameSpace: Smalltalk }"

SharedPool subclass:#LLVMMetadataID
	instanceVariableNames:''
	classVariableNames:'MD_alias_scope MD_align MD_dbg MD_dereferenceable
		MD_dereferenceable_or_null MD_fpmath MD_invariant_group
		MD_invariant_load MD_make_implicit MD_mem_parallel_loop_access
		MD_noalias MD_nonnull MD_nontemporal MD_prof MD_range MD_tbaa
		MD_tbaa_struct MD_unpredictable'
	poolDictionaries:''
	category:'LLVM-S-Core-Constants'
!

!LLVMMetadataID class methodsFor:'documentation'!

copyright
"
    Copyright (C) 2015-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
! !

!LLVMMetadataID class methodsFor:'initialization'!

initialize
    "Invoked at system start or when the class is dynamically loaded."

    MD_dbg := 0.
    MD_tbaa := 1.
    MD_prof := 2.
    MD_fpmath := 3.
    MD_range := 4.
    MD_tbaa_struct := 5.
    MD_invariant_load := 6.
    MD_alias_scope := 7.
    MD_noalias := 8.
    MD_nontemporal := 9.
    MD_mem_parallel_loop_access := 10.
    MD_nonnull := 11.
    MD_dereferenceable := 12.
    MD_dereferenceable_or_null := 13.
    MD_make_implicit := 14.
    MD_unpredictable := 15.
    MD_invariant_group := 16.
    MD_align := 17.

    "Modified: / 30-08-2016 / 23:27:53 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !


LLVMMetadataID initialize!
